Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia.utils
Class PlayLogr

    java.lang.Object
      play.modules.morphia.utils.PlayLogr

All Implemented Interfaces:
  Logr, Serializable

    public class PlayLogr

extends Object
implements Logr

See Also:
  Serialized Form

Constructor Summary
`PlayLogr()`

Method Summary
`void` | `debug(String msg)`
`void` | `debug(String format, Object... arg)`
`void` | `debug(String msg, Throwable t)`
`void` | `error(String msg)`
`void` | `error(String format, Object... arg)`
`void` | `error(String msg, Throwable t)`
`void` | `info(String msg)`
`void` | `info(String format, Object... arg)`
`void` | `info(String msg, Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarningEnabled()`
`void` | `trace(String msg)`
`void` | `trace(String format, Object... arg)`
`void` | `trace(String msg, Throwable t)`
`void` | `warning(String msg)`
`void` | `warning(String format, Object... arg)`
`void` | `warning(String msg, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlayLogr

    public PlayLogr()

Method Detail

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Logr`

### trace

    public void trace(String msg)

  Specified by:
    `trace` in interface `Logr`

### trace

    public void trace(String format,
                      Object... arg)

  Specified by:
    `trace` in interface `Logr`

### trace

    public void trace(String msg,
                      Throwable t)

  Specified by:
    `trace` in interface `Logr`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logr`

### debug

    public void debug(String msg)

  Specified by:
    `debug` in interface `Logr`

### debug

    public void debug(String format,
                      Object... arg)

  Specified by:
    `debug` in interface `Logr`

### debug

    public void debug(String msg,
                      Throwable t)

  Specified by:
    `debug` in interface `Logr`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Logr`

### info

    public void info(String msg)

  Specified by:
    `info` in interface `Logr`

### info

    public void info(String format,
                     Object... arg)

  Specified by:
    `info` in interface `Logr`

### info

    public void info(String msg,
                     Throwable t)

  Specified by:
    `info` in interface `Logr`

### isWarningEnabled

    public boolean isWarningEnabled()

  Specified by:
    `isWarningEnabled` in interface `Logr`

### warning

    public void warning(String msg)

  Specified by:
    `warning` in interface `Logr`

### warning

    public void warning(String format,
                        Object... arg)

  Specified by:
    `warning` in interface `Logr`

### warning

    public void warning(String msg,
                        Throwable t)

  Specified by:
    `warning` in interface `Logr`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Logr`

### error

    public void error(String msg)

  Specified by:
    `error` in interface `Logr`

### error

    public void error(String format,
                      Object... arg)

  Specified by:
    `error` in interface `Logr`

### error

    public void error(String msg,
                      Throwable t)

  Specified by:
    `error` in interface `Logr`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.